<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" type="text/css" href="styles.css" />
    <script defer src="./src/Validation/airportValidation.js"></script>
    <script defer type="module" src="./src/airports.js"></script>
    <title>Rise Airlines</title>
  </head>

  <body>
    <header>
      <p>
        Rise Airlines 2024 <img src="./images/header-plane.png" alt="Airline" />
      </p>
      <ul class="navigation">
        <li>
          <a class="active" href="airports.html">Airports</a>
        </li>
        <li>
          <a href="airlines.html">Airlines</a>
        </li>
        <li>
          <a href="flights.html">Flights</a>
        </li>
      </ul>
    </header>

    <section class="nav">
      <nav>
        <ul>
          <li>
            <a href="index.html"
              ><img src="./images/left sidebar.png" alt="Airline"
            /></a>
          </li>
        </ul>
      </nav>
    </section>

    <section class="page-content">
      <h2>Airports</h2>

      <div class="line"></div>

      <table id="main-table">
        <thead>
          <tr>
            <th>Name</th>
            <th>Country</th>
            <th>City</th>
            <th>Code</th>
            <th>Runways</th>
            <th>Founded</th>
          </tr>
        </thead>
        <tbody></tbody>
      </table>
    </section>

    <section class="form">
      <button class="orange-button" id="show-form-button">Show Form</button>
      <form id="submit-entity-form" method="post">
        <fieldset>
          <legend>Add New Airport</legend>
          <label for="name">Name</label>
          <input type="text" id="airport-name" name="name" />
          <span id="airport-name-error" class="form-error-text"></span>
          <label for="country">Country</label>
          <input type="text" id="airport-country" name="country" />
          <span id="airport-country-error" class="form-error-text"></span>
          <label for="city">City</label>
          <input type="text" id="airport-city" name="city" />
          <span id="airport-city-error" class="form-error-text"></span>
          <label for="code">Code</label>
          <input type="text" id="airport-code" name="code" />
          <span id="airport-code-error" class="form-error-text"></span>
          <label for="runways-count">Runways</label>
          <input
            type="number"
            id="airport-runways-count"
            name="runways-count"
          />
          <span id="airport-runways-error" class="form-error-text"></span>
          <label for="founded">Founded</label>
          <input type="date" id="airport-founded" name="founded" />
          <span id="airport-founded-error" class="form-error-text"></span>
          <input
            type="submit"
            value="Submit"
            class="orange-button"
            id="submit-form-button"
          />
        </fieldset>
      </form>
    </section>

    <footer>Rise Airlines 2024 &#169;</footer>
  </body>
</html>
